Package org.gradle.api.provider

# Interface ProviderConvertible<T>

Type Parameters:
  `T` - Type of value represented by provider

@NonExtensible public interface ProviderConvertible<T>
An object that can be converted to a `Provider`.

Since:
  7.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<T>`
  `asProvider()`
  Returns a `Provider` from this object.

- ## Method Details

  - ### asProvider

    Provider<T> asProvider()
    Returns a `Provider` from this object.